<template>
                <div class="text-xs-center">
                    <v-dialog
                    v-model="dialog"
                    :width="xwidth"
                    persistent 
                    >
                    <v-card >
                        <v-card-title
                        class="headline grey lighten-2"
                        primary-title
                        >
                        {{xtitle}}
                        </v-card-title>

                        <v-card-text >
                        <object  style="overflow: hidden;" width="100%" :height="xheight" :data="xurl"></object>
                        </v-card-text>

                        <v-divider></v-divider>

                        <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn
                            color="primary"
                            flat
                            @click="closeDialog()"
                        >
                            Tutup
                        </v-btn>
                        </v-card-actions>
                    </v-card>
                    </v-dialog>
                </div>
            </template>

<style scoped>
</style>

<script>
module.exports = {
    props : ['title','width','height','status','urlprint'],
    computed : {
        dialog: {
            get() {
                return this.status
            },
            set(val) {
                this.status = val
            }
        },
        xurl(){
            return this.urlprint
        },
        xwidth(){
            return this.width
        },
        xheight(){
            return this.height
        },
        xtitle(){
            return this.title
        }
    },
    methods: {
        closeDialog() {
            this.$emit('close-dialog-print')
        }
    }
}
</script>
